noinst_LIBRARIES=libmd.a
TESTS=md2test md5test
EXTRA_PROGRAMS=md2 md2test md5 md5test
INCLUDES=-I$(top_srcdir)/crypto

libmd_a_SOURCES=md2_dgst.c md2_one.c md5_dgst.c md5_one.c

md2_SOURCES=md2.c
md2_LDFLAGS=-L$(top_builddir)/crypto
md2_LDADD=-lcrypto
md2_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

md2test_SOURCES=md2test.c
md2test_LDFLAGS=-L$(top_builddir)/crypto
md2test_LDADD=-lcrypto
md2test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

md5_SOURCES=md5.c
md5_LDFLAGS=-L$(top_builddir)/crypto
md5_LDADD=-lcrypto
md5_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

md5test_SOURCES=md5test.c
md5test_LDFLAGS=-L$(top_builddir)/crypto
md5test_LDADD=-lcrypto
md5test_DEPENDENCIES=$(top_builddir)/crypto/libcrypto.a

EXTRA_DIST=Makefile.ssl md2.h md2.org md5.h md5_locl.h

$(top_builddir)/crypto/libcrypto.a:
	cd $(top_builddir)/crypto; $(MAKE) $(MFLAGS) libcrypto.a
